<div [formGroup]=form>
  <h3>{{ "Politics.Countries.uploadNewFlag" | translate }}</h3>
  <nz-upload nzType="drag" [nzMultiple]="false" nzAction="{{ apiUrl }}/api/utils/upload"
    [nzCustomRequest]="uploadDocument" nzName="avatar" nzListType="picture-card" [nzShowUploadList]="false">
    <ng-container *ngIf="!flagLocation">
      <i class="upload-icon" nz-icon [nzType]="loading ? 'loading' : 'plus'"></i>
      <div class="ant-upload-text">{{ "Politics.Countries.UploadCountryFlag" | translate }}</div>
    </ng-container>
    <img *ngIf="flagLocation" [src]="flagLocation" class="avatar" style="max-width: 100%" />
  </nz-upload>
</div>